This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 146305 - click on backtrace doesn't jump to the frame in source
click on backtrace doesn't jump to the frame in source
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Konrath
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 15:57 EST by Havoc Pennington
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-09 12:58:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2005-01-26 15:57:07 EST
Running eclipse on gcj, if I get a backtrace when running the program, you
should be able to double-click one of the frames in the trace and jump to that
point in the code. I think I saw this working in eclipse running on the sun jvm.
Comment 1 Ben Konrath 2005-04-09 12:58:41 EDT
I just tested this problem with:

public class Test {
	public static void main(String[] args) {
		new Exception().printStackTrace();
	}
}

and with: 

eclipse-platform-3.1.0_fc-0.M5.17
gcc-java-4.0.0-0.40

Clicking on entries in stack trace jumped to the correnct place in the code.
This issue seems to have been resolved.

Note You need to log in before you can comment on or make changes to this bug.